locked
Can't install Azure NuGet package -- targeting "NETCore,Version=v4.5"

    Question

  • I'm trying to install the NuGet packages for the Azure Storage API (which relies on the ConfigurationManager package). This is the exception I get:

    'Microsoft.WindowsAzure.ConfigurationManager 2.0.3'. You are trying to install this package into a project that targets '.NETCore,Version=v4.5', but the package does not contain any assembly references or content files that are compatible with that framework

    I'm running in VS2013 and my project is currently targeting Windows 8.0. So apparently I'm targeting v4.5, but what version is the package targeting? Also, how can I use Azure Storage in an 8.0 app? Thanks.

    Wednesday, February 26, 2014 2:21 AM

Answers

  • From the error that package doesn't support Windows Store apps, which use the .NETCore profile and not the full .Net Framework. See .NET for Windows Store apps overview

    --Rob.

    • Proposed as answer by Dave SmitsMVP Wednesday, February 26, 2014 9:20 AM
    • Marked as answer by Tim SF Wednesday, February 26, 2014 2:48 PM
    Wednesday, February 26, 2014 4:37 AM
    Owner